<?php
 
 
 

namespace Google\Protobuf;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




























































































































































class FieldMask extends \Google\Protobuf\Internal\Message
{
    




    private $paths;

    









    public function __construct($data = NULL) {
        \GPBMetadata\Google\Protobuf\FieldMask::initOnce();
        parent::__construct($data);
    }

    





    public function getPaths()
    {
        return $this->paths;
    }

    






    public function setPaths($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->paths = $arr;

        return $this;
    }

}

